summaryrefslogtreecommitdiff
path: root/tests/rm/hash
diff options
context:
space:
mode:
Diffstat (limited to 'tests/rm/hash')
-rwxr-xr-xtests/rm/hash4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/rm/hash b/tests/rm/hash
index a07a2b1d0..036240c8c 100755
--- a/tests/rm/hash
+++ b/tests/rm/hash
@@ -3,7 +3,7 @@
# Before then, rm would fail occasionally, sometimes via
# a failed assertion, others with a seg fault.
-# Copyright (C) 2000, 2002, 2003, 2004 Free Software Foundation, Inc.
+# Copyright (C) 2000, 2002, 2003, 2004, 2006 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -29,7 +29,7 @@ fi
pwd=`pwd`
t0=`echo "$0"|sed 's,.*/,,'`.tmp;tmp=$t0/$$
-trap 'status=$?; cd $pwd; rm -rf $t0 || exit $?; exit $status' 0
+trap 'status=$?; cd "$pwd" && rm -rf $t0 || exit $?; exit $status' 0
trap 'exit $?' 1 2 13 15
framework_failure=0